Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 594996 - libvirt: cannot send monitor command '{"execute":"query-chardev" ... breaks virt-install
libvirt: cannot send monitor command '{"execute":"query-chardev" ... breaks v...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-22 12:46 EDT by Kirby Zhou
Modified: 2010-09-08 02:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: libvirt-0.8.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:33:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirby Zhou 2010-05-22 12:46:58 EDT
Description of problem:


Version-Release number of selected component (if applicable):

kernel-2.6.32-19.el6.x86_64
libvirt-python-0.7.6-2.el6.x86_64
python-virtinst-0.500.1-3.el6.noarch
libvirt-0.7.6-2.el6.x86_64
qemu-kvm-tools-0.12.1.2-2.17.el6.x86_64
virt-v2v-0.4.0-1.el6.noarch
libvirt-client-0.7.6-2.el6.x86_64
qemu-kvm-0.12.1.2-2.17.el6.x86_64

How reproducible:

100%

Steps to Reproduce:

[root@djt-18-97 ~]# virt-install -n rhel6test --os-variant=rhel6 -r 8192 -l http://ftp.no.sohu.com/pub/os/Linux/RedHat/enterprise/x86_64/6ASU0-beta/dvd/ --network bridge=vbr0 --network bridge=vbr1 --disk pool=vgxpool,size=32 


Starting install...
Retrieving file .treeinfo...                                                                                 | 2.4 kB     00:00 ... 
Retrieving file vmlinuz...                                                                                   | 7.2 MB     00:00 ... 
Retrieving file initrd.img...                                                                                |  56 MB     00:00 ... 
Allocating 'rhel6test-1.img'                                                                                 |    0 B     00:00     
ERROR    cannot send monitor command '{"execute":"query-chardev","timestamp":{"seconds":1274546619,"microseconds":441231}}': Connection reset by peer
Domain installation may not have been
 successful.  If it was, you can restart your domain
 by running 'virsh start rhel6test'; otherwise, please
 restart your installation.
ERROR    cannot send monitor command '{"execute":"query-chardev","timestamp":{"seconds":1274546619,"microseconds":441231}}': Connection reset by peer
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 943, in <module>
    main()
  File "/usr/sbin/virt-install", line 839, in main
    start_time, guest.start_install)
  File "/usr/sbin/virt-install", line 894, in do_install
    dom = install_func(conscb, progresscb, wait=(not wait))
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 660, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 758, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1098, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: cannot send monitor command '{"execute":"query-chardev","timestamp":{"seconds":1274546619,"microseconds":441231}}': Connection reset by peer
[root@djt-18-97 ~]# service libvirtd status
libvirtd (pid  2277) is running...
[root@djt-18-97 ~]# virsh list
 Id Name                 State
----------------------------------
 23 kirby-dev            running


Additional info:

Another case

]# !virt
virt-install -n rhel6test --os-variant=rhel6 -r 8192 -l http://ftp.no.sohu.com/pub/os/Linux/RedHat/enterprise/x86_64/6ASU0-beta/dvd/ --network bridge=vbr0 --network bridge=vbr1 --disk pool=vgxpool,size=32 


Starting install...
Retrieving file .treeinfo...                                                                                 | 2.4 kB     00:00 ... 
Retrieving file vmlinuz...                                                                                   | 7.2 MB     00:00 ... 
Retrieving file initrd.img...                                                                                |  56 MB     00:00 ... 
Allocating 'rhel6test.img'                                                                                   |    0 B     00:00     
ERROR    monitor socket did not show up.: Connection refused
Domain installation may not have been
 successful.  If it was, you can restart your domain
 by running 'virsh start rhel6test'; otherwise, please
 restart your installation.
ERROR    monitor socket did not show up.: Connection refused
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 943, in <module>
    main()
  File "/usr/sbin/virt-install", line 839, in main
    start_time, guest.start_install)
  File "/usr/sbin/virt-install", line 894, in do_install
    dom = install_func(conscb, progresscb, wait=(not wait))
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 660, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 758, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1098, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: monitor socket did not show up.: Connection refused
Comment 2 Cole Robinson 2010-05-24 09:41:24 EDT
This should be fixed by the newer libvirt 0.8.1 which was added after the beta.
Comment 3 RHEL Product and Program Management 2010-06-07 11:59:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 LiZhang Li 2010-06-27 22:49:11 EDT
Verified using the latest libvirt(libvirt-0.8.1-10.el6.x86_64) and qemu(qemu-kvm-0.12.1.2-2.81.el6.x86_64).The installation initialization works fine.
Comment 5 releng-rhel@redhat.com 2010-07-02 15:33:58 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.
Comment 6 wangyimiao 2010-09-08 02:28:40 EDT
Verified this bug with RHEL6 RC build and it passed:
libvirt-0.8.1-27.el6.x86_64
qemu-img-0.12.1.2-2.113.el6.x86_64
qemu-kvm-0.12.1.2-2.113.el6.x86_64
kernel-2.6.32-71.el6.x86_64

Note You need to log in before you can comment on or make changes to this bug.